SoShadowCulling(3)

NAME
SoShadowCulling - The SoShadowCulling class is a node for setting the shadow style on nodes.

SYNOPSIS

#include <Inventor/annex/FXViz/nodes/SoShadowCulling.h>

Inherits SoNode.

  Public Types
enum Mode { AS_IS_CULLING = SoGLShadowCullingElement::AS_IS_CULLING, NO_CULLING = SoGLShadowCullingElement::NO_CULLING }

  Public Member Functions
virtual SoType getTypeId (void) const
SoShadowCulling (void)
virtual void GLRender (SoGLRenderAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)

  Public Attributes
SoSFEnum mode

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoShadowCulling ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoShadowCulling class is a node for setting the shadow style on nodes. FILE FORMAT/DEFAULTS:

ShadowCulling {
    mode AS_IS_CULLING
}

Since
    Coin 2.5

Member Enumeration Documentation

  enum SoShadowCulling::Mode
Enumerates the available culling modes.

Enumerator

AS_IS_CULLING
    Use the culling specified in the scene graph.

NO_CULLING
    Render both back facing and front facing triangles into the shadow map.

Constructor & Destructor Documentation

  SoShadowCulling::SoShadowCulling (void)
Constructor.

  SoShadowCulling::~SoShadowCulling () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoShadowCulling::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoShadowCulling::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoShadowCulling::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoShadowCulling::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

  void SoShadowCulling::initClass (void) [static]

  void SoShadowCulling::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

Member Data Documentation

  SoSFEnum SoShadowCulling::mode
Sets the culling mode. Default is AS_IS_CULLING.

Author

Generated automatically by Doxygen for Coin from the source code.